Subject: bug#16439: [feature request] Highlighting of strings within Info buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Jan 2014 17:53:20 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 21 Jan 2014 09:54:39 +0200
> 
> >>   Most optional features in Emacs are grouped into "packages".
> >>
> >> Should "packages" be highlighted as a string.  Of course not.
> >
> > Why not?  This particular example is produced from @dfn in Texinfo,
> > which should emphasize its argument.  In the printed version
> > "packages" is typeset in slanted typeface (and without the quotes).
> 
> It makes sense to emphasize either 1) using quotes and no additional
> highlighting or 2) using italic without the quotes, but not both styles
> (italic and quotes) at the same time.

I agree, and didn't say anything to the contrary.  I told about the
slant typeface as an evidence that what came out of @dfn should be
emphasized in some way.

> >> There is no additional emphasis on quotations in books.
> >
> > But we are not talking about books, are we?  We are talking about Info
> > manuals, which are mostly documentation of software.
> 
> Ideally, the look of on-line documentation should not differ from
> the printed version.

We are not talking about ideals.

> But actually I see no much need in replacing Texinfo as the source format.
> As for the output format, we could try to migrate in the direction of HTML.
> However, HTML has its own problems (no index, slow rendering, etc.)

Indeed, and I wasn't asking to switch.

This was only about emphasizing quoted strings in Info manuals.